#include <iostream.h>
#include <setjmp.h>

class morebuf : public streambuf {
    int avail_lines, col;
    streambuf *base;
    void *jbuf;
    virtual int overflow(int c = EOF);
    virtual int underflow() { return EOF; }
  public:
    morebuf(streambuf *b, void* jb = 0);
    void reset_lines();
};
